apt 2.9.14 commandline package manager

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
pkgCache Class Reference

## Classes
struct | Dep
struct | Dependency
struct | DependencyData
| information for a single dependency record More...
class | DepIterator
struct | DescFile
| associates a description with a Translation file More...
class | DescFileIterator
class | DescIterator
struct | Description
| datamember of a linked list of available description for a version More...
struct | Flag
struct | Group
| groups architecture depending packages together More...
class | GrpIterator
struct | Header
class | Iterator
class | Namespace
struct | Package
| contains information for a single unique package More...
struct | PackageFile
| stores information about the files used to generate the cache More...
class | PkgFileIterator
class | PkgIterator
struct | Provides
| handles virtual packages More...
class | PrvIterator
struct | ReleaseFile
| stores information about the release files used to generate the cache More...
class | RlsFileIterator
struct | State
struct | VerFile
| associates a version with a PackageFile More...
class | VerFileIterator
class | VerIterator
struct | Version
| information for a single version of a package More...

## Public Member Functions
virtual bool | ReMap (bool const &Errorchecks=true)
bool | Sync ()
MMap & | GetMap ()
void * | DataEnd ()
map_id_t | Hash (APT::StringView S) const
APT_HIDDEN uint32_t | CacheHash ()
GrpIterator | FindGrp (APT::StringView Name)
PkgIterator | FindPkg (APT::StringView Name)
PkgIterator | FindPkg (APT::StringView Name, APT::StringView Arch)
APT::StringView | ViewString (map_stringitem_t idx) const
Header & | Head ()
GrpIterator | GrpBegin ()
GrpIterator | GrpEnd ()
PkgIterator | PkgBegin ()
PkgIterator | PkgEnd ()
PkgFileIterator | FileBegin ()
PkgFileIterator | FileEnd ()
RlsFileIterator | RlsFileBegin ()
RlsFileIterator | RlsFileEnd ()
bool | MultiArchCache () const
char const * | NativeArch ()
| pkgCache (MMap *Map, bool DoMap=true)

## Static Public Member Functions
static const char * | Priority (unsigned char Priority)
static const char * | CompTypeDeb (unsigned char Comp) APT_PURE
static const char * | CompType (unsigned char Comp) APT_PURE
static const char * | DepType (unsigned char Dep)

## Public Attributes
Header * | HeaderP
Group * | GrpP
Package * | PkgP
VerFile * | VerFileP
DescFile * | DescFileP
ReleaseFile * | RlsFileP
PackageFile * | PkgFileP
Version * | VerP
Description * | DescP
Provides * | ProvideP
Dependency * | DepP
DependencyData * | DepDataP
char * | StrP
void * | reserved [12]
pkgVersioningSystem * | VS

## Protected Member Functions
map_id_t | sHash (APT::StringView S) const APT_PURE

## Protected Attributes
std::string | CacheFile
MMap & | Map

The documentation for this class was generated from the following files:

- apt-pkg/pkgcache.h
- apt-pkg/pkgcache.cc